hpp-constraints: Eigen::internal::traits< MatrixBlockView< ArgType, _Rows, _Cols, _allRows, _allCols > > Struct Template Reference

hpp-constraints 9.0.2 Definition of basic geometric constraints for motion planning

Loading...
Searching...
No Matches
Public Types | List of all members
Eigen::internal::traits< MatrixBlockView< ArgType, _Rows, _Cols, _allRows, _allCols > > Struct Template Reference

`#include <hpp/constraints/matrix-view.hh>`

## Public Types
enum | { CoeffReadCost = ArgType::CoeffReadCost , Flags , RowsAtCompileTime = (_allRows ? ArgType::RowsAtCompileTime : _Rows) , ColsAtCompileTime = (_allCols ? ArgType::ColsAtCompileTime : _Cols) , MaxRowsAtCompileTime = ArgType::MaxRowsAtCompileTime , MaxColsAtCompileTime = ArgType::MaxColsAtCompileTime }
typedef ArgType::Index | Index
typedef traits< ArgType >::StorageKind | StorageKind
typedef traits< ArgType >::XprKind | XprKind
typedef ArgType::Scalar | Scalar

## Member Typedef Documentation

## ◆ Index

template<typename ArgType , int _Rows, int _Cols, bool _allRows, bool _allCols>

typedef ArgType::Index Eigen::internal::traits< MatrixBlockView< ArgType, _Rows, _Cols, _allRows, _allCols > >::Index

## ◆ Scalar

template<typename ArgType , int _Rows, int _Cols, bool _allRows, bool _allCols>

typedef ArgType::Scalar Eigen::internal::traits< MatrixBlockView< ArgType, _Rows, _Cols, _allRows, _allCols > >::Scalar

## ◆ StorageKind

template<typename ArgType , int _Rows, int _Cols, bool _allRows, bool _allCols>

typedef traits<ArgType>::StorageKind Eigen::internal::traits< MatrixBlockView< ArgType, _Rows, _Cols, _allRows, _allCols > >::StorageKind

## ◆ XprKind

template<typename ArgType , int _Rows, int _Cols, bool _allRows, bool _allCols>

typedef traits<ArgType>::XprKind Eigen::internal::traits< MatrixBlockView< ArgType, _Rows, _Cols, _allRows, _allCols > >::XprKind

## Member Enumeration Documentation

## ◆ anonymous enum

template<typename ArgType , int _Rows, int _Cols, bool _allRows, bool _allCols>

anonymous enum

Enumerator
CoeffReadCost |
Flags |
RowsAtCompileTime |
ColsAtCompileTime |
MaxRowsAtCompileTime |
MaxColsAtCompileTime |

The documentation for this struct was generated from the following file:

- include/hpp/constraints/matrix-view.hh